Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1177550 - Review Request: nodejs-archiver - a streaming interface for archive generation
Summary: Review Request: nodejs-archiver - a streaming interface for archive generation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zuzana Svetlikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1082298 1082401 1176882 1176896 1199820
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-12-28 23:14 UTC by Piotr Popieluch
Modified: 2015-07-03 18:52 UTC (History)
2 users (show)

Fixed In Version: nodejs-archiver-0.14.4-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 18:45:18 UTC
zsvetlik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-28 23:14:24 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-archiver.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-archiver-0.13.0-1.fc21.src.rpm
Description: a streaming interface for archive generation
Fedora Account System Username: piotrp

Comment 1 Piotr Popieluch 2015-03-08 16:56:02 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-archiver.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-archiver-0.14.3-1.fc21.src.rpm

Updated to latest upstream. Tests fails, package needs nodejs-async 0.9

Comment 2 Zuzana Svetlikova 2015-05-23 18:04:09 UTC
Several comments:

- there's new upstream release
- missing multiple BuildRequires for both dependencies and devDependencies
- BuildRequires for dependencies shouldn't be inside conditional
- missing %{?nodejs_find_provides_and_requires} macro
- different URL listed on npmjs (although it redirects, you should probably change it)
- incompatible dependencies and devDependencies versions are fixed by %nodejs_fixdep macro (http://fedoraproject.org/wiki/User:Patches/PackagingDrafts/NodeJS#Correcting_Dependencies)
- missing devDependencies aren't really blocking build since they're used for tests (plus stream-bench is also missing from repositories)
- Summary should start with capital letter

Comment 3 Piotr Popieluch 2015-06-13 19:44:38 UTC
- Update to upstream 0.14.4
- Added el6 macro
- Updated URL
- Capitalized summary


Spec URL: https://piotrp.fedorapeople.org/nodejs-archiver.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-node-archiver-0.14.4-1.fc22.src.rpm

Comment 4 Zuzana Svetlikova 2015-06-15 14:14:00 UTC
Are you going to package stream-bench too or are you leaving the tests off?

Current github version is 0.15.0 and you should probably change srcname to archiver, since node-archiver is a different module.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: nodejs-archiver.spec should be nodejs-node-archiver.spec
  See:
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[ ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/kash/reviews/1177550-nodejs-archiver
     /srpm-unpacked/nodejs-archiver.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-node-archiver-0.14.4-1.fc22.noarch.rpm
          nodejs-node-archiver-0.14.4-1.fc22.src.rpm
nodejs-node-archiver.noarch: W: summary-not-capitalized C a streaming interface for archive generation
nodejs-node-archiver.noarch: W: only-non-binary-in-usr-lib
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/zip-stream /usr/lib/node_modules/zip-stream
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/glob /usr/lib/node_modules/glob
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/buffer-crc32 /usr/lib/node_modules/buffer-crc32
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/readable-stream /usr/lib/node_modules/readable-stream
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/lazystream /usr/lib/node_modules/lazystream
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/async /usr/lib/node_modules/async
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/tar-stream /usr/lib/node_modules/tar-stream
nodejs-node-archiver.src: W: summary-not-capitalized C a streaming interface for archive generation
nodejs-node-archiver.src: E: invalid-spec-name
2 packages and 0 specfiles checked; 1 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-node-archiver.noarch: W: summary-not-capitalized C a streaming interface for archive generation
nodejs-node-archiver.noarch: W: only-non-binary-in-usr-lib
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/zip-stream /usr/lib/node_modules/zip-stream
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/glob /usr/lib/node_modules/glob
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/buffer-crc32 /usr/lib/node_modules/buffer-crc32
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/readable-stream /usr/lib/node_modules/readable-stream
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/lazystream /usr/lib/node_modules/lazystream
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/async /usr/lib/node_modules/async
nodejs-node-archiver.noarch: W: dangling-symlink /usr/lib/node_modules/node-archiver/node_modules/tar-stream /usr/lib/node_modules/tar-stream
1 packages and 0 specfiles checked; 0 errors, 10 warnings.



Requires
--------
nodejs-node-archiver (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(buffer-crc32)
    npm(glob)
    npm(lazystream)
    npm(lodash)
    npm(readable-stream)
    npm(tar-stream)
    npm(zip-stream)



Provides
--------
nodejs-node-archiver:
    nodejs-node-archiver
    npm(archiver)



Source checksums
----------------
https://github.com/archiverjs/node-archiver/archive/1e55f081f0ad96622990da016e7f1ea091143c16/node-archiver-1e55f081f0ad96622990da016e7f1ea091143c16.tar.gz :
  CHECKSUM(SHA256) this package     : 039700f2931e71254514549facbfccbc616016d5e5a7763404008777094cad71
  CHECKSUM(SHA256) upstream package : 039700f2931e71254514549facbfccbc616016d5e5a7763404008777094cad71


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1177550
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Piotr Popieluch 2015-06-15 18:17:53 UTC
I've messed up the names when switching from node to github source.

correct nodejs name is archiver
rpm package name should be nodejs-archiver
github project name is node-archiver

fixed it now.

Not really sure about packaging stream-bench, it seems a bit dead, last commit from two years ago and hardly any downloads. Could we leave tests off for now?



Spec URL: https://piotrp.fedorapeople.org/nodejs-archiver.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-archiver-0.14.4-2.fc22.src.rpm

Comment 6 Piotr Popieluch 2015-06-15 18:19:49 UTC
PS 0.15 seems to be a pre-release

Comment 7 Zuzana Svetlikova 2015-06-16 11:57:37 UTC
Seems fine now, APPROVED.

Comment 8 Piotr Popieluch 2015-06-16 18:50:27 UTC
New Package SCM Request
=======================
Package Name: nodejs-archiver
Short Description: A streaming interface for archive generation
Upstream URL: https://github.com/archiverjs/node-archiver
Owners: piotrp
Branches: f21 f22 el6 epel7

Comment 9 Gwyn Ciesla 2015-06-16 19:51:38 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-06-16 20:37:04 UTC
nodejs-archiver-0.14.4-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-archiver-0.14.4-2.fc21

Comment 11 Fedora Update System 2015-06-16 20:38:00 UTC
nodejs-archiver-0.14.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-archiver-0.14.4-2.fc22

Comment 12 Fedora Update System 2015-06-21 00:15:13 UTC
nodejs-archiver-0.14.4-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 13 Fedora Update System 2015-07-03 18:45:18 UTC
nodejs-archiver-0.14.4-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2015-07-03 18:52:31 UTC
nodejs-archiver-0.14.4-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.